# @(#$Id: recoll.conf.in,v 1.12 2006-10-11 14:16:26 dockes Exp $  (C) 2004 J.F.Dockes
#
# Recoll default configuration file. This should be copied to
#   ~/.recoll/recoll.conf 

# Space-separated list of directories to index. Next line indexes $HOME
topdirs = ~

# Wildcard expressions for names of files and directories that we should
# ignore. If you need index mozilla/thunderbird mail folders, don't put
# ".*" in there (as was the case with an older sample config)
skippedNames = *~ #* bin CVS  Cache cache* caughtspam  tmp .thumbnails

# Debug messages. 3 is errors/warnings only. 4 would be quite verbose.
loglevel = 3
logfilename = stderr

# Place to search for executable filters. If RECOLL_FILTERSDIR is set in
# the environement, we use it instead
filtersdir = @prefix@/share/recoll/filters

# Languages for which to build stemming databases at the end of
# indexing. Stemmer names can be found on http://www.xapian.org 
# The flag to perform stem expansion at query time is now set from the GUI
indexstemminglanguages = english 

# The only reason to change this would be if you want to change the icons
# displayed in the result list
iconsdir = @prefix@/share/recoll/images

# Where to store the database (directory). This may be an absolute path,
# else it is taken as relative to the configuration directory (-c argument
# or $RECOLL_CONFDIR). 
# If nothing is specified, the default is then ~/.recoll/xapiandb/
dbdir = xapiandb

# Default character set. Values found inside files, ie content tag in html
# documents, will override this. It can be specified per directory (see
# below). Used when converting to utf-8 (internal storage format), so it
# may be quite important for pure text files.
# The default used to be set to iso8859-1, but we now take it from the nls 
# environment (LC_ALL/LC_CTYPE/LANG). The ultimate hardwired default is
# still 8859-1. If for some reason you want a general default which doesnt
# match your LANG and is not 8859-1, set it here.
#defaultcharset = iso-8859-1

# Guessing charsets usually does not work well
guesscharset = 0

# Should we use the system's 'file -i' command as a final step in file type
# identification ? This may be useful, but will usually cause the
# indexation of many bogus 'text' files
usesystemfilecommand = 1

# Should we index the file names of files with mime types we don't
# know? (we can otherwise just ignore them)
indexallfilenames = 1

# Length of abstracts we store while indexing. Longer will make for a
# bigger db
# idxabsmlen = 250

# Language definitions to use when creating the aspell dictionary. 
# The value must match a set of aspell language definition files. 
# You can type "aspell config"  to see where these are installed.
# The default is english: "en"
# You can use a value of "disable" to disable aspell support.
# aspellLanguage = en

# You could specify different parameters for a subdirectory like this:
#[~/hungariandocs/plain]
#defaultcharset = iso-8859-2
